### Method

# Tracker Endpoint set_allowed_services

since: 3.7

#### Declaration [src]

    void
    tracker_endpoint_set_allowed_services (
      TrackerEndpoint* endpoint,
      const gchar* const* services
    )

#### Description [src]

Sets the list of external SPARQL endpoints that this endpoint will allow access for. Access through the `SERVICE` SPARQL syntax will fail for services not specified in this list.

If `services` is `NULL`, access will be allowed to every external endpoint, this is the default behavior. If you want to forbid access to all external SPARQL endpoints, use an empty list.

This affects both remote SPARQL endpoints accessed through HTTP, and external SPARQL endpoints offered through D-Bus. For the latter, the following syntax is allowed to describe them as an URI:

`DBUS_URI = 'dbus:' [ ('system' | 'session') ':' ]? dbus-name [ ':' object-path ]?`

If the system/session part is omitted, it will default to the session bus. If the object path is omitted, the `/org/freedesktop/Tracker3/Endpoint` `TrackerEndpointDBus` default will be assumed.

Available since: 3.7

Sets property | `Tracker.Endpoint:allowed-services`

#### Parameters

`services`

  Type: `const gchar* const*`

  List of allowed services, or `NULL` to allow all services.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.